apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: codimd-ingress
  labels: 
    app: codimd
  annotations:
    traefik.ingress.kubernetes.io/router.entrypoints: web, websecure
    traefik.ingress.kubernetes.io/router.middlewares: default-codimd-cors@kubernetescrd
spec:
  ingressClassName: traefik
  tls:
    - hosts:
        - codimd.192.168.42.120.nip.io
      secretName: nip-io-cert
  rules:
    - host: codimd.lotimmy.com
      http: &http_rules
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: codimd-service
                port:
                  number: 3000
    - host: codimd.192.168.42.120.nip.io
      http: *http_rules
